using System;

namespace ConsoleApp5
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] ks = Console.ReadLine().Split();
            int n = int.Parse(ks[0]);
            int k = int.Parse(ks[1]);
            int[] a = new int[n];
            int l = 0;
            int k1 = 0;
            string[] s = Console.ReadLine().Split();
            for(int j=0; j<n; j++)
            {
                a[j] = int.Parse(s[l]);
                l++;
            }

            for(int j=0; j<n; j++)
            {
                if(k == a[j])
                {
                    if((n-j) == 1)
                    {
                        k1 = a[0];
                    }
                    else
                    {
                        k1 = a[j+1];
                    }
                }
            }
            Console.WriteLine(k1);
        }
    }
}